<?php
class GoogleMapsDecorator extends Extension {

	private static $mapVarPrefix = 'embedded_gm_';
	static function set_map_var_prefix($newPrefix) {
		self::$mapVarPrefix = $newPrefix;
	}

	function GoogleMap($latitude,$longitude,$zoom,$mapType="HYBRID",$id="google_map_canvas",$xSize="100%",$ySize="300px") {
		Requirements::javascript("http://maps.google.com/maps/api/js?sensor=false");
		Requirements::javascript("embedded/javascript/emdedGoogleMap.js");
		Requirements::customScript('
			var '.self::$mapVarPrefix.$id.' = addGoogleMap('.$latitude.','.$longitude.','.$zoom.',google.maps.MapTypeId.'.$mapType.',"'.$id.'");
		');
		return '<div id="'.$id.'" style="width:'.$xSize.'; height:'.$ySize.'"></div>';
	}

	function GoogleMapMarker($latitude,$longitude,$title,$content="",$id="google_map_canvas") {
		Requirements::customScript('
			addMarker('.$latitude.','.$longitude.',"'.$title.'","'.$content.'",'.self::$mapVarPrefix.$id.');
		');
	}
}
?>